var initialX = 0;
var initialY = 0;

//HTMLドキュメントがロードされたときの初期化処理
function setup() {
	var svgElement = document.getElementById("svgImg");
	initialX = svgElement.width;
	initialY = svgElement.height;
	var btns = document.getElementsByTagName("button");
	for (var p in btns) {
		btns[p].addEventListener("click", clickHandler, false);
	}
}

//ボタンをクリックしたときのイベントハンドラ
function clickHandler(e) {
	var btn = e.target;
	var multiply = 0;
	switch (btn.id) {
		case "one":
			multiply = 1;
			break;
		case "two":
			multiply = 2;
			break;
		case "three":
			multiply = 4;
			break;
	}
	var svgElement = document.getElementById("svgImg");
	svgElement.width = initialX * multiply;
	svgElement.height = initialY * multiply;
}